/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\demitel\artifacts\TheLostCircle.cs
Lines of code: 50
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class TheLostCircle : ChaosShield
	{
		public override int BasePhysicalResistance{ get{ return 8; } }
		public override int BaseFireResistance{ get{ return 8; } }
		public override int BaseColdResistance{ get{ return 8; } }
		public override int BasePoisonResistance{ get{ return 8; } }
		public override int BaseEnergyResistance{ get{ return 8; } }

		public override int ArtifactRarity{ get{ return 15; } }
		public override void GetProperties( ObjectPropertyList list )
		{
			base.GetProperties( list );
			{
				list.Add("D E M I T E L");
			}
		}

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public TheLostCircle()
		{
			Name = "The Lost Circle";
			Hue = 1364;
			Attributes.SpellChanneling = 1;
			Attributes.LowerManaCost = 10;
			Attributes.DefendChance = 15;
			ArmorAttributes.LowerStatReq = 100;
		}

		public override bool Validate( Mobile m )
		{
			return true;
		}

		public TheLostCircle( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}